DefaultGrailsDomainConfiguration (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Java] Class DefaultGrailsDomainConfiguration

    java.lang.Object
      org.hibernate.cfg.Configuration
          org.codehaus.groovy.grails.orm.hibernate.cfg.DefaultGrailsDomainConfiguration

All Implemented Interfaces:
  GrailsDomainConfiguration

    public class DefaultGrailsDomainConfiguration
    extends org.hibernate.cfg.Configuration

Creates runtime configuration mapping for the Grails domain classes based on the work done in the Hibernate Annotations project

Authors:
  Graeme Rocher

Since:
  06-Jul-2005

Field Summary

Fields inherited from class org.hibernate.cfg.Configuration
DEFAULT_CACHE_CONCURRENCY_STRATEGY, USE_NEW_ID_GENERATOR_MAPPINGS, ARTEFACT_PROCESSING_ORDER, DEFAULT_ARTEFACT_PROCESSING_ORDER

Method Summary
`GrailsDomainConfiguration` | `addDomainClass(GrailsDomainClass domainClass)`
`static void` | `configureDomainBinder(GrailsApplication grailsApplication, java.util.Set domainClasses)`
`protected void` | `secondPassCompile()` Overrides the default behaviour to including binding of Grails domain classes.
`void` | `setDataSourceName(java.lang.String name)`
`void` | `setGrailsApplication(GrailsApplication application)`
`void` | `setSessionFactoryBeanName(java.lang.String name)`

Methods inherited from class org.hibernate.cfg.Configuration
org.hibernate.cfg.Configuration#addURL(java.net.URL), org.hibernate.cfg.Configuration#buildSettings(), org.hibernate.cfg.Configuration#buildSettings(java.util.Properties), org.hibernate.cfg.Configuration#addProperties(java.util.Properties), org.hibernate.cfg.Configuration#add(org.hibernate.util.xml.XmlDocument), org.hibernate.cfg.Configuration#addClass(java.lang.Class), org.hibernate.cfg.Configuration#setProperty(java.lang.String, java.lang.String), org.hibernate.cfg.Configuration#getProperty(java.lang.String), org.hibernate.cfg.Configuration#getImports(), org.hibernate.cfg.Configuration#mergeProperties(java.util.Properties), org.hibernate.cfg.Configuration#setListener(java.lang.String, java.lang.String), org.hibernate.cfg.Configuration#setListener(java.lang.String, java.lang.Object), org.hibernate.cfg.Configuration#getEntityResolver(), org.hibernate.cfg.Configuration#getProperties(), org.hibernate.cfg.Configuration#setProperties(java.util.Properties), org.hibernate.cfg.Configuration#configure(org.w3c.dom.Document), org.hibernate.cfg.Configuration#configure(), org.hibernate.cfg.Configuration#configure(java.lang.String), org.hibernate.cfg.Configuration#configure(java.net.URL), org.hibernate.cfg.Configuration#configure(java.io.File), org.hibernate.cfg.Configuration#addPackage(java.lang.String), org.hibernate.cfg.Configuration#getInterceptor(), org.hibernate.cfg.Configuration#setInterceptor(org.hibernate.Interceptor), org.hibernate.cfg.Configuration#getTypeResolver(), org.hibernate.cfg.Configuration#setEntityResolver(org.xml.sax.EntityResolver), org.hibernate.cfg.Configuration#addResource(java.lang.String, java.lang.ClassLoader), org.hibernate.cfg.Configuration#addResource(java.lang.String), org.hibernate.cfg.Configuration#getEntityNotFoundDelegate(), org.hibernate.cfg.Configuration#setCacheConcurrencyStrategy(java.lang.String, java.lang.String), org.hibernate.cfg.Configuration#setCacheConcurrencyStrategy(java.lang.String, java.lang.String, java.lang.String, boolean), org.hibernate.cfg.Configuration#setCacheConcurrencyStrategy(java.lang.String, java.lang.String, java.lang.String), org.hibernate.cfg.Configuration#getClassMapping(java.lang.String), org.hibernate.cfg.Configuration#registerTypeOverride(org.hibernate.usertype.CompositeUserType, [Ljava.lang.String;), org.hibernate.cfg.Configuration#registerTypeOverride(org.hibernate.usertype.UserType, [Ljava.lang.String;), org.hibernate.cfg.Configuration#registerTypeOverride(org.hibernate.type.BasicType), org.hibernate.cfg.Configuration#getNamingStrategy(), org.hibernate.cfg.Configuration#setNamingStrategy(org.hibernate.cfg.NamingStrategy), org.hibernate.cfg.Configuration#getPersisterClassProvider(), org.hibernate.cfg.Configuration#setPersisterClassProvider(org.hibernate.persister.PersisterClassProvider), org.hibernate.cfg.Configuration#getFilterDefinitions(), org.hibernate.cfg.Configuration#addFilterDefinition(org.hibernate.engine.FilterDefinition), org.hibernate.cfg.Configuration#addAuxiliaryDatabaseObject(org.hibernate.mapping.AuxiliaryDatabaseObject), org.hibernate.cfg.Configuration#getIdentifierGeneratorFactory(), org.hibernate.cfg.Configuration#getReflectionManager(), org.hibernate.cfg.Configuration#getEntityTuplizerFactory(), org.hibernate.cfg.Configuration#getNamedQueries(), org.hibernate.cfg.Configuration#buildSessionFactory(), org.hibernate.cfg.Configuration#getSqlFunctions(), org.hibernate.cfg.Configuration#addSqlFunction(java.lang.String, org.hibernate.dialect.function.SQLFunction), org.hibernate.cfg.Configuration#getSessionFactoryObserver(), org.hibernate.cfg.Configuration#setSessionFactoryObserver(org.hibernate.SessionFactoryObserver), org.hibernate.cfg.Configuration#setPrecedence(java.lang.String), org.hibernate.cfg.Configuration#generateDropSchemaScript(org.hibernate.dialect.Dialect), org.hibernate.cfg.Configuration#generateSchemaCreationScript(org.hibernate.dialect.Dialect), org.hibernate.cfg.Configuration#generateSchemaUpdateScript(org.hibernate.dialect.Dialect, org.hibernate.tool.hbm2ddl.DatabaseMetadata), org.hibernate.cfg.Configuration#addCacheableFile(java.lang.String), org.hibernate.cfg.Configuration#addCacheableFile(java.io.File), org.hibernate.cfg.Configuration#addCacheableFileStrictly(java.io.File), org.hibernate.cfg.Configuration#addXML(java.lang.String), org.hibernate.cfg.Configuration#validateSchema(org.hibernate.dialect.Dialect, org.hibernate.tool.hbm2ddl.DatabaseMetadata), org.hibernate.cfg.Configuration#buildMappings(), org.hibernate.cfg.Configuration#setListeners(java.lang.String, [Ljava.lang.Object;), org.hibernate.cfg.Configuration#setListeners(java.lang.String, [Ljava.lang.String;), org.hibernate.cfg.Configuration#getEventListeners(), org.hibernate.cfg.Configuration#setCollectionCacheConcurrencyStrategy(java.lang.String, java.lang.String, java.lang.String), org.hibernate.cfg.Configuration#setCollectionCacheConcurrencyStrategy(java.lang.String, java.lang.String), org.hibernate.cfg.Configuration#getNamedSQLQueries(), org.hibernate.cfg.Configuration#getSqlResultSetMappings(), org.hibernate.cfg.Configuration#buildMapping(), org.hibernate.cfg.Configuration#iterateFetchProfiles(), org.hibernate.cfg.Configuration#addFetchProfile(org.hibernate.mapping.FetchProfile), org.hibernate.cfg.Configuration#getClassMappings(), org.hibernate.cfg.Configuration#getCollectionMappings(), org.hibernate.cfg.Configuration#getTableMappings(), org.hibernate.cfg.Configuration#getMappedSuperclassMappings(), org.hibernate.cfg.Configuration#getCollectionMapping(java.lang.String), org.hibernate.cfg.Configuration#setEntityNotFoundDelegate(org.hibernate.proxy.EntityNotFoundDelegate), org.hibernate.cfg.Configuration#addFile(java.io.File), org.hibernate.cfg.Configuration#addFile(java.lang.String), org.hibernate.cfg.Configuration#addDocument(org.w3c.dom.Document), org.hibernate.cfg.Configuration#addInputStream(java.io.InputStream), org.hibernate.cfg.Configuration#addAnnotatedClass(java.lang.Class), org.hibernate.cfg.Configuration#addJar(java.io.File), org.hibernate.cfg.Configuration#addDirectory(java.io.File), org.hibernate.cfg.Configuration#createMappings(), org.hibernate.cfg.Configuration#wait(), org.hibernate.cfg.Configuration#wait(long, int), org.hibernate.cfg.Configuration#wait(long), org.hibernate.cfg.Configuration#equals(java.lang.Object), org.hibernate.cfg.Configuration#toString(), org.hibernate.cfg.Configuration#hashCode(), org.hibernate.cfg.Configuration#getClass(), org.hibernate.cfg.Configuration#notify(), org.hibernate.cfg.Configuration#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addDomainClass

    public GrailsDomainConfiguration addDomainClass(GrailsDomainClass domainClass)

### configureDomainBinder

    public static void configureDomainBinder(GrailsApplication grailsApplication, java.util.Set domainClasses)

### secondPassCompile

    @Override
    protected void secondPassCompile()

  Overrides the default behaviour to including binding of Grails domain classes.

### setDataSourceName

    public void setDataSourceName(java.lang.String name)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication application)

### setSessionFactoryBeanName

    public void setSessionFactoryBeanName(java.lang.String name)

Groovy Documentation